## khmerconverter 1.4

=== debian/changelog ===
khmerconverter (1.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt), patch by Jari Aalto (Closes: #664350)
  * Make the build reproducible, patch by Chris Lamb (Closes: #779164)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 09 Aug 2019 23:01:36 +0200

khmerconverter (1.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the obsolete dh_desktop call. (Closes: #817298)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 21:45:15 +0200

khmerconverter (1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786219)

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 22 Aug 2015 22:19:41 +0500

khmerconverter (1.4-1) unstable; urgency=low

  * Package adopted from Paul Wise
  * New upstream release
    - Change the focus from using tab to mouse
    - Add support for additional fonts: Content, Muol Light, Muol Pali,
    Siemreap
  * Minor build changes:
    - Switching from `quilt' to `dpatch'
    - Change from "Apps" to "Applications" in the menu item
    - Remove "Encoding=UTF-8" from khmerconvert.desktop

 -- Soputtra San <ekenno@gmail.com>  Fri, 07 Sep 2007 22:58:43 +1000

khmerconverter (1.3-3) unstable; urgency=low

  * Generate the manual page in the current dir instead (Closes: #422641)
  * Run the failing tests but ignore their results for now

 -- Paul Wise <pabs@debian.org>  Tue, 08 May 2007 17:45:56 +1000

khmerconverter (1.3-2) unstable; urgency=low

  * Upload to unstable

 -- Paul Wise <pabs@debian.org>  Thu, 19 Apr 2007 17:43:02 +1000

khmerconverter (1.3-1) experimental; urgency=low

  * New upstream release
    - remove python2.3-support.patch (accepted upstream)
  * Change my email address now that I'm a Debian Developer
  * Suggest ttf-khmeros for viewing Khmer Unicode documents
  * Strip useless info from README.TXT, ship as README
  * Strip some blank lines from TODO.TXT, ship as TODO
  * Use a proper short description in the manual page
  * Enable some of the tests that now complete successfully
  * Don't use dh_python since it is depreciated
  * Don't ship fontdata.dtd since it is not needed
  * Ship fontdata.xml outside the python modules directory
  * Convert upstream .ico to PNG and XPM and use in menus
  * Make khmerconverter.desktop file valid
  * Clean up debian/rules a bit

 -- Paul Wise <pabs@debian.org>  Tue, 20 Feb 2007 23:07:58 +0900

khmerconverter (1.0-1) unstable; urgency=low

  * Initial release (Closes: #333331)

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 27 Jun 2006 17:22:58 +0800
