=== debian/control ===
Source: khmerconverter
Section: text
Priority: optional
Maintainer: Soputtra San <ekenno@gmail.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: imagemagick, help2man, python, dh-python
Standards-Version: 3.7.2

Package: khmerconverter
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-tk, tix
Suggests: ttf-khmeros
Description: converts between legacy Khmer encodings and Unicode
 khmerconverter converts files between Unicode and the legacy Khmer
 encodings based on fonts using the ASCII/ANSI range.
 . 
 It currently supports plain text files, OpenDocument files (ODT) and
 HTML files encoded with UTF-8 and the ABC, ABC-ZWSP, Baidok, Fk, Khek,
 Limon and Truth legacy Khmer fonts.
 .
 Please install python-tk and tix to use the graphical interface (GUI).
 .
  Homepage: http://www.khmeros.info/drupal/?q=en/download/converter
