=== debian/watch ===
version=3
http://sf.net/khmer/khmerconverter([\d\.]+)\.tar\.gz
